# Temporary comment all the fields that we don't want to update
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_node_story
class: Drupal\migrate\Plugin\Migration
field_plugin_method: alterFieldInstanceMigration
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7_geo
label: 'Nodes (Issue article)'
source:
  plugin: d7_node
  node_type: story
process:
  nid:
    -
      plugin: get
      source: tnid
#  vid:
#    -
#      plugin: get
#      source: vid
#  langcode:
#    -
#      plugin: default_value
#      source: language
#      default_value: und
#  title:
#    -
#      plugin: get
#      source: title
#  uid:
#    -
#      plugin: get
#      source: node_uid
#  status:
#    -
#      plugin: get
#      source: status
#  created:
#    -
#      plugin: get
#      source: created
#  changed:
#    -
#      plugin: get
#      source: changed
#  promote:
#    -
#      plugin: get
#      source: promote
#  sticky:
#    -
#      plugin: get
#      source: sticky
#  revision_uid:
#    -
#      plugin: get
#      source: revision_uid
#  revision_log:
#    -
#      plugin: get
#      source: log
#  revision_timestamp:
#    -
#      plugin: get
#      source: timestamp
#  field_economic_sectors:
#    -
#      plugin: sub_process
#      source: taxonomy_vocabulary_1
#      process:
#        target_id: tid
#  field_institutions_structures:
#    -
#      plugin: sub_process
#      source: taxonomy_vocabulary_7
#      process:
#        target_id: tid
#  field_movements_struggles:
#    -
#      plugin: sub_process
#      source: taxonomy_vocabulary_12
#      process:
#        target_id: tid
#  field_practices_tools_strategies:
#    -
#      plugin: sub_process
#      source: taxonomy_vocabulary_13
#      process:
#        target_id: tid
#  field_visions_models:
#    -
#      plugin: sub_process
#      source: taxonomy_vocabulary_10
#      process:
#        target_id: tid
#  field_regions:
#    -
#      plugin: sub_process
#      source: taxonomy_vocabulary_2
#      process:
#        target_id: tid
#  field_article_type:
#    -
#      plugin: sub_process
#      source: taxonomy_vocabulary_3
#      process:
#        target_id: tid
#  field_topics:
#    - plugin: merge
#      source:
#        - '@field_regions'
#        - '@field_visions_models'
#        - '@field_practices_tools_strategies'
#        - '@field_movements_struggles'
#        - '@field_institutions_structures'
#        - '@field_economic_sectors'
#  paragraph_body:
#    plugin: migration
#    migration: upgrade_d7_node_story_body_paragraph
#    source: nid
#  field_body_paragraph:
#    -
#      plugin: iterator
#      source:
#        - '@paragraph_body'
#      process:
#        target_id: '0'
#        target_revision_id: '1'
#  field_upload:
#    -
#      plugin: sub_process
#      source: upload
#      process:
#        target_id: fid
#        display: display
#        description: description
  _field_bio:
    plugin: geo_story_bio
    source:
      - field_author
      - field_author_bio
  field_biography:
    plugin: sub_process
    source: '@_field_bio'
    process:
      target_id:
        plugin: migration_lookup
        source: value
        migration: upgrade_d7_node_story_author
      override: bio
#  field_authors:
#    plugin: sub_process
#    source: field_author
#    process:
#      target_id:
#        plugin: migration_lookup
#        source: value
#        migration: upgrade_d7_node_story_author
#  field_subtitle:
#    -
#      plugin: get
#      source: field_subtitle
#  field_image:
#    -
#      plugin: sub_process
#      source: field_inserted_image
#      process:
#        target_id: fid
#        alt: alt
#        title: title
#        width: width
#        height: height
#  field_publication_date:
#    -
#      plugin: publication_date_default
#      source: field_publication_date
#      method: process
#    -
#      plugin: sub_process
#      process:
#        value:
#          plugin: format_date
#          from_format: 'Y-m-d\TH:i:s'
#          to_format: 'Y-m-d'
#          source: value
#  path/alias: source_path
#  path/pathauto:
#    plugin: default_value
#    default_value: 0
destination:
  plugin: 'entity:node'
  default_bundle: article
migration_dependencies:
  required:
    - upgrade_d7_user
    - upgrade_d7_taxonomy_term_vocabulary_1
    - upgrade_d7_taxonomy_term_vocabulary_2
    - upgrade_d7_taxonomy_term_vocabulary_3
    - upgrade_d7_taxonomy_term_vocabulary_7
    - upgrade_d7_taxonomy_term_vocabulary_10
    - upgrade_d7_taxonomy_term_vocabulary_12
    - upgrade_d7_taxonomy_term_vocabulary_13
  optional: {  }
